require "violence"
module Violence::Helpers
  def randn # Normal distributed random, mu = 0 and sigma = 1
    # Box-Muller transform
    u1 = 1-rand
    u2 = 1-rand
    Math.sqrt(-2 * Math.log(u1)) * Math.cos(2 * Math::PI * u2)
  end

  def powerlaw(k)
    (k + 1) * (rand ** k)
  end
end